Bug 1003551 - Links to Form Modeler should be disabled in BRMS UI (Guvnor)
Links to Form Modeler should be disabled in BRMS UI (Guvnor)
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER4
: 6.0.0
Assigned To: Pere Fernàndez
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 06:59 EDT by Jan Hrcek
Modified: 2014-08-06 16:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:20:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unwanted link to form modeler 1 (96.40 KB, image/png)
2013-09-02 06:59 EDT, Jan Hrcek
no flags Details
Unwanted link to form modeler 2 (147.32 KB, image/png)
2013-09-02 06:59 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-09-02 06:59:14 EDT
Created attachment 792794 [details]
Unwanted link to form modeler 1

Description of problem:
There are 2 places in BRMS UI (Guvnor) that link to Form Modeler tool, which is not available in BRMS product. These links should be disabled, because they cause iframe with HTTP 404 error to be opened. The 2 places are:
1) In New Item menu > New Form
2) In designer's toolbar > form menu

Version-Release number of selected component (if applicable):
BRMS 6.0.0.ER2

How reproducible:
Always

Steps to Reproduce:
1. Deploy BRMS product ont EAP 6.1.0 (with demo projects enabled)
2. Login to http://localhost:8080/business-central

1)
3. Navigate to Authoring > Projects
4. select 'New Item' - > New Form and try to create new form

2)
5. Create new process - this opens designer.
6. In Designer click menu with form icon and then click either 'Edit process form' or 'Edit task form' (requires some Manual Task node to be selected)

Actual results:
The 'New Item' (from step 4.) as well as 2 menu items in designer (from step 6.) open new form modeler iframe with HTTP 404 error

Expected results:
The links to form modeler should be removed. In case of designer probably whole 'Form' menu should be removed for BRMS product.
Comment 1 Jan Hrcek 2013-09-02 06:59:49 EDT
Created attachment 792795 [details]
Unwanted link to form modeler 2
Comment 2 Pere Fernàndez 2013-09-03 13:00:10 EDT
The servlet configuration of form-modeler component was missing. I added it and it's working.

Commits:
https://github.com/droolsjbpm/kie-wb-distributions/commit/01d17fa609d1b96433834731035912856644c2cd
Comment 3 Jan Hrcek 2013-09-24 08:10:27 EDT
Hello Pere.

I'm afraid that there was a missunderstanding:

The fix you commited does not disable links to Form Modeler (which - based on PRD should NOT be included in BRMS prouct - as opposed to BPMS product, where it should be included), but instead it enables form modeler itself. Please remove the links mentioned, so that it's impossible to navigate to form modeller from BRMS product.
Comment 4 Tihomir Surdilovic 2013-09-25 11:10:56 EDT
I am unclear of what is being asked for here. Are we asking to disable form modeler or form modeling in designer completely? Being able to create process form I think is useful in any product that allows users to create business processes and start them. WDYT? 

Please give me details on this so I know what to do - thanks!
Comment 5 Tihomir Surdilovic 2013-09-25 12:34:19 EDT
I have updated designer to not display the form creation/editing button in the menu bar nor the shapemenu option on user tasks for editing forms if on server startup we specify:

./standalone.sh -Dorg.jbpm.designer.perspective=ruleflow

if the value of org.jbpm.designer.perspective is anything else or this property is not specified at all, the form items are displayed.
Comment 6 Pere Fernàndez 2013-09-27 04:54:14 EDT
Removed form-modeler dependencies that create the Create New Form link.

Commits (master): https://github.com/droolsjbpm/kie-wb-distributions/commit/28ccedccc80495d20a229fa1fdb33c9a647294f6

Commits (6.0.x): https://github.com/droolsjbpm/kie-wb-distributions/commit/a8cb872e3ece54c1374db458557d6203c7e5aa68
Comment 10 Jan Hrcek 2013-10-17 01:43:15 EDT
Ok, verified with BRMS 6.0.0 ER4

Note You need to log in before you can comment on or make changes to this bug.